# Crate atomic_polyfill

source ·

## Structs

- AtomicBool
  A boolean type which can be safely shared between threads.
- AtomicI8
  An integer type which can be safely shared between threads.
- AtomicU8
  An integer type which can be safely shared between threads.

## Enums

- Ordering
  Atomic memory orderings

## Constants

- ATOMIC_BOOL_INIT Deprecated
  An `AtomicBool` initialized to `false`.

## Functions

- compiler_fence
  A compiler memory fence.
- fence
  An atomic fence.
- spin_loop_hint Deprecated
  Signals the processor that it is inside a busy-wait spin-loop (“spin lock”).